<div class="container">
  <h2 class="pb-2 header">
    <span id="tag-management-page-heading" jhiTranslate="wordManagement.home.title">Word page</span>
    <button class="btn btn-primary float-right jh-create-entity" (click)="onSaveWord()" [disabled]="!wordSelected.length && !allWords.length">
      <span jhiTranslate="wordManagement.home.save">Save</span>
    </button>
  </h2>
  <div class="word-management ">
    <div class="word-management__left">
      <p class="word-management__left__p">
        <span *ngFor="let word of words" (click)="isSelected(word.id) ? onRemoveWord(word.id) : onChooseWord(word) "
          [class]="{ 'word-selected':isSelected(word.id)}">{{word.value}}</span>
      </p>
      <div class="word-management__left__paging">
        <div>
          <ng-select [items]="itemsPerPages" [(ngModel)]="itemsPerPage" (change)="loadWords()" [clearable]="false">
          </ng-select>
          <span class="ml-2">words per page</span>
        </div>
        <div *ngIf="words">
          <ngb-pagination size="sm" [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage"
            [maxSize]="3" [rotate]="true" [boundaryLinks]="true" (pageChange)="transition()"></ngb-pagination>
        </div>
      </div>

    </div>
    <div class="word-management__right">
      <h4>Block tags</h4>
      <div class="word-management__right__tags">
        <div *ngFor="let word of wordSelected" class="tag">
          <span>{{word.value}}</span>
          <button (click)="onRemoveWord(word.id)">
            <i class="bi bi-x"></i>
          </button>
        </div>
      </div>

    </div>
  </div>
</div>